# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pytables-3.6.1-on-linux_64, last modified Mon Dec 14 19:44:02 2020
# ------------------------------------------------

package:
    name: pytables
    version: 3.6.1
source:
    patches:
        - do_not_copy_dlls_into_package.patch
        - remove_dll_check.patch
    sha256: 49a972b8a7c27a8a173aeb05f67acb45fe608b64cd8e9fa667c0962a60b71b49
    url: https://pypi.io/packages/source/t/tables/tables-3.6.1.tar.gz
build:
    entry_points:
        - pt2to3 = tables.scripts.pt2to3:main
        - ptdump = tables.scripts.ptdump:main
        - ptrepack = tables.scripts.ptrepack:main
        - pttree = tables.scripts.pttree:main
    ignore_run_exports:
        - zlib
    number: '1'
    string: py39h77479fe_1
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    host:
        - _libgcc_mutex 0.1 main
        - blas 1.0 mkl
        - blosc 1.20.1 hd408876_0
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2020.12.8 h06a4308_0
        - certifi 2020.12.5 py39h06a4308_0
        - cython 0.29.21 py39h2531618_0
        - hdf5 1.10.6 hb1b8bf9_0
        - intel-openmp 2020.2 254
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20191231 h14c3975_1
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - lz4-c 1.9.2 heb0550a_3
        - lzo 2.10 h7b6447c_2
        - mkl 2020.2 256
        - mkl-service 2.3.0 py39he8ac12f_0
        - mkl_fft 1.0.6 py39h63df603_0
        - mkl_random 1.0.2 py39h63df603_0
        - ncurses 6.2 he6710b0_1
        - numexpr 2.7.1 py39h63df603_0
        - numpy 1.16.6 py39h89c1606_1
        - numpy-base 1.16.6 py39h76555f2_1
        - numpy-devel 1.16.6 py39h1fb7909_1
        - openssl 1.1.1i h27cfd23_0
        - pip 20.3.1 py39h06a4308_0
        - python 3.9.1 hdb3f193_2
        - readline 8.0 h7b6447c_0
        - setuptools 51.0.0 py39h06a4308_2
        - six 1.15.0 py39h06a4308_0
        - sqlite 3.33.0 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - tzdata 2020d h14c3975_0
        - wheel 0.36.1 pyhd3eb1b0_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.4.5 h9ceee32_0
    run:
        - blosc >=1.20.1,<2.0a0
        - bzip2 >=1.0.8,<2.0a0
        - hdf5 >=1.10.6,<1.10.7.0a0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - lzo >=2.10,<3.0a0
        - mock
        - numexpr
        - numpy >=1.16.6,<2.0a0
        - python >=3.9,<3.10.0a0
        - six
        - zlib
test:
    commands:
        - pt2to3 -h
        - ptdump -h
        - ptrepack -h
        - pttree -h
    requires:
        - mock
        - setuptools
about:
    description: 'PyTables is a package for managing hierarchical datasets and designed
        to

        efficiently and easily cope with extremely large amounts of data. PyTables

        is built on top of the HDF5 library, using the Python language and the

        NumPy package.

        '
    dev_url: https://github.com/PyTables
    doc_url: http://www.pytables.org/
    home: http://www.pytables.org
    license: BSD 3-Clause
    license_file: LICENSE.txt
    summary: Brings together Python, HDF5 and NumPy to easily handle large amounts
        of data.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - msarahan
        - ocefpaf
        - scopatz
        - tomkooij
